Skip to content

Carrier Management

Get Carrier Account List

Request

Retrieves the list of carrier accounts associated with the authenticated API token.
Rate limit: 60 requests per minute.

Security
ApiTokenAuth
GET
/api/carrier-account/list
curl -i -X GET \
  'https://api.shipsaving.com/api/carrier-account/list?api_token=YOUR_API_KEY_HERE'

Responses

Successful response with list of carrier accounts

Bodyapplication/json
Array [
namestring

The name of the carrier account

Example:"USPS-B"
tokenstring

The unique token of the carrier account

Example:"ca_bc28f2e7_aaaa_4bbb_accc_bf7d9f2c27xx"
carrierstring

The carrier type of the account (e.g., USPS, UPS, FedEx, DHL Express, etc.)

Example:"USPS"
]
Response
[ { "name": "USPS-B", "token": "ca_bc28f2e7_aaaa_4bbb_accc_bf7d9f2c27xx", "carrier": "USPS" } ]